<template>
  <v-ons-page>
    <div v-for="(question,index) in mcq" :key="index">
      <MCQ @complete="addComplete" :mcq="question"></MCQ>
    </div>
    <div v-for="(question,index2) in freetext" :key="index2">
      <Freetext @complete="addComplete" :freetext="question"></Freetext>
    </div>
    <p style="text-align:center;margin-top:20px; ">
      <v-ons-button :disabled="!done" @click="next">Suivant</v-ons-button>
    </p>
  </v-ons-page>
</template>

<script>
import MCQ from '../components/MCQ.vue'
import Freetext from '../components/Freetext.vue'
export default {
	data() {
		return {
			done: false,
			completed: 0
		}
	},
	props: ['mcq', 'freetext', 'inventoryItem'],
	computed: {
		questionNum() {
			return this.mcq.length + this.freetext.length
		}
	},
	components: {
		MCQ,
		Freetext
	},
	methods: {
		addComplete() {
			this.completed++
			if (this.completed == this.questionNum) {
				this.done = true
				if (this.inventoryItem) {
					this.$toasted.show("Vous avez gagné un item d'inventaire", {
						duration: 3000,
						position: 'bottom-center'
					})
					this.$store.commit('users/setInventoryItem', this.inventoryItem)
				}
			}
		},
		next() {
			this.$store.dispatch('activities/nextPage')
		}
	}
}
</script>

<style>
.intro {
	text-align: left;
	padding: 0 22px;
	margin-top: 20px;
	font-size: 14px;
	line-height: 1.4;
	color: rgba(0, 0, 0, 0.54);
}

ons-card {
	cursor: pointer;
	color: #333;
}

.card__title,
.card--material__title {
	font-size: 20px;
}
</style>
